# bulb

A simple bulletin board for your server. Users of the system can post and read
messages using the "bulb" command. You can also set up multiple boards.

## Setup

You can install the `bulb` command by running:

```
hare build cmd/bulb
```

And then installing the resulting executable.

The reccomended way to use this program is to have the executable owned by the
user `bulb`, with the setuid bit enabled. Then, create a list of boards (empty
text files) located at `/var/bulb/` which are also owned by `bulb`. This will
allow all users to use the program to post on boards without allowing them to
directly edit their contents, thereby preventing them from mischeviously
re-writing chat history.

## Usage

```
bulb: bulletin board

Usage: bulb [-hlpu] [-b <board>] [-n <number>]

-h: print this help text
-b <board>: specify a board other than general
-l: list available boards and exit
-n <number>: display N most recent messages
-p: post a message (from stdin)
-u: operate undercover (anonymously)
```
